Update Build

Update Build
Update a build

Update a build.

Request
URI
PATCH
https://api.example.local/v3/builds/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body
BuildUpdate of type(s) application/json
Optional
{
    "state": "string",
    "staging_memory_in_mb": 0,
    "staging_disk_in_mb": 0,
    "staging_log_rate_limit_bytes_per_second": 0,
    "error": "string",
    "lifecycle": {
        "type": "string",
        "data": {
            "buildpacks": [
                "string"
            ],
            "stack": "string",
            "credentials": {
                "credentials": {
                    "username": "string",
                    "password": "string",
                    "token": "string"
                }
            }
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}
string
state
Optional

State of the build

Possible values are : STAGING, STAGED, FAILED,
integer
staging_memory_in_mb
Optional

Memory in MB allocated for staging of the build

integer
staging_disk_in_mb
Optional

Disk space in MB allocated for staging of the build

integer
staging_log_rate_limit_bytes_per_second
Optional

Log rate limit in bytes per second allocated for staging of the build

string
error
Optional

A string describing errors during the build process

object
lifecycle
Optional

The lifecycle type defines how the application droplet is created and run. The following lifecycle types are supported: - buildpack: Traditional buildpacks for Cloud Foundry applications. - cnb: Cloud Native Buildpacks that are OCI-compliant. - docker: Run pre-built Docker images.

object
metadata
Optional

Metadata is a JSON object that contains information about a resource. It includes the GUID of the resource, the time the resource was created, the time the resource was last updated, and links to the resource. Metadata is included in the response body of a request to retrieve a resource.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Build of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "state": "string",
    "staging_memory_in_mb": 0,
    "staging_disk_in_mb": 0,
    "staging_log_rate_limit_bytes_per_second": 0,
    "error": "string",
    "lifecycle": {
        "type": "string",
        "data": {
            "buildpacks": [
                "string"
            ],
            "stack": "string",
            "credentials": {
                "credentials": {
                    "username": "string",
                    "password": "string",
                    "token": "string"
                }
            }
        }
    },
    "checksum": {
        "type": "string",
        "value": "string"
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "relationships": {},
    "package": {
        "guid": "string"
    },
    "droplet": {
        "guid": "string"
    },
    "created_by": {
        "guid": "string",
        "name": "string",
        "email": "string"
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "droplet": {
            "href": "string",
            "method": "string"
        }
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'